package org.jeecg.modules.database.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.database.entity.ExperimentDoc;

import java.util.List;

/**
 * @Description: 试验文档
 * @Author: jeecg-boot
 * @Date: 2024-08-30
 * @Version: V1.0
 */
public interface IExperimentDocService extends IService<ExperimentDoc> {

    ExperimentDoc generate(String experimentId, String type);

    List<ExperimentDoc> getHistoryByExperimentId(String experimentId, String type);

    ExperimentDoc getByExperimentId(String experimentId, String type);

}
